#include<stdio.h>
void menjaj(int poc, int n, int a[], int p)
{
	if(poc>=n-1)
	{
		if(p==0)
		{
			int pom;
			pom=a[n-2];
			a[n-2]=a[n-1];
			a[n-1]=pom;
			
			return;
		}	
		return;
	}
	
	int ind, max,i;
	ind=poc;
	max=a[poc];
	

	
	for(i=poc+1;i<n;i++)
	if(a[i]>=max)
	{
		max=a[i];
		ind=i;
	}
	
	if(ind==poc)
 	menjaj(poc+1,n,a,p);
	
	if(ind!=poc && max==a[poc])
	{
	for(i=poc+1;i<ind;i++)
	if(a[i]<max)
	{
		int pom;
	    pom=a[i];
	    a[i]=a[ind];
	    a[ind]=pom;
	
		return; 
	}
	p=1;
	return menjaj(ind+1,n,a,p);
	}
	
	if(ind!=poc && max>a[poc])
	{
		int pom;
	    pom=a[poc];
	    a[poc]=a[ind];
	    a[ind]=pom;
	
		return; 
	}
	
	
}
main()
{
	int n,a[100],i,pom;
	scanf("%d",&n);
	for(i=0;i<n;i++)
	scanf("%d",&a[i]);
	
	if(n==2)
	{
		pom=a[0];
		a[0]=a[1];
		a[1]=pom;
		printf("%d %d",a[0],a[1]);
	}
	
	if(n>2)
	{
		menjaj(0,n,a,0);
		for(i=0;i<n;i++)
		printf("%d ",a[i]);
	}
}